VersionRange
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.util
Class VersionRange

    java.lang.Object
      org.apache.ivy.osgi.util.VersionRange

    public class VersionRange

extends java.lang.Object

Provides version range support.

Constructor Summary
`VersionRange(boolean startExclusive, Version startVersion, boolean endExclusive, Version endVersion)`
`VersionRange(java.lang.String versionStr)`
`VersionRange(Version startVersion)`

Method Summary
`boolean` | `contains(java.lang.String versionStr)`
`boolean` | `contains(Version version)`
`boolean` | `equals(java.lang.Object obj)`
`Version` | `getEndVersion()`
`Version` | `getStartVersion()`
`int` | `hashCode()`
`boolean` | `isClosedRange()`
`boolean` | `isEndExclusive()`
`boolean` | `isStartExclusive()`
`java.lang.String` | `toIvyRevision()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionRange

    public VersionRange(java.lang.String versionStr)
                 throws java.text.ParseException

Throws:
  `java.text.ParseException`

### VersionRange

    public VersionRange(boolean startExclusive,
                        Version startVersion,
                        boolean endExclusive,
                        Version endVersion)

### VersionRange

    public VersionRange(Version startVersion)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toIvyRevision

    public java.lang.String toIvyRevision()

### isEndExclusive

    public boolean isEndExclusive()

### getEndVersion

    public Version getEndVersion()

### isStartExclusive

    public boolean isStartExclusive()

### getStartVersion

    public Version getStartVersion()

### isClosedRange

    public boolean isClosedRange()

### contains

    public boolean contains(java.lang.String versionStr)
                     throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### contains

    public boolean contains(Version version)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD